Add a MPP build-only CI task

Change-Id: I218f294c3797a76e11e3ffa2612124b17d8f0755
diff --git a/busytown/androidx-multiplatform.sh b/busytown/androidx-multiplatform.sh
new file mode 100755
index 0000000..bbe7a9c
--- /dev/null
+++ b/busytown/androidx-multiplatform.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+echo "Starting $0 at $(date)"
+
+cd "$(dirname $0)"
+
+# Run Gradle
+impl/build.sh --no-daemon listTaskOutputs -Pandroidx.validateNoUnrecognizedMessages "$@"
+impl/build.sh allProperties "$@" >/dev/null
+impl/build.sh --no-daemon buildOnServer -Pandroidx.validateNoUnrecognizedMessages checkExternalLicenses \
+    -PverifyUpToDate \
+    -Pandroidx.coverageEnabled=true \
+    -Pandroidx.enableAffectedModuleDetection \
+    -Pandroidx.compose.multiplatformEnabled=true \
+    -Pandroidx.allWarningsAsErrors --profile "$@"
+
+# Parse performance profile reports (generated with the --profile option above) and re-export the metrics in an easily machine-readable format for tracking
+impl/parse_profile_htmls.sh
+
+echo "Completing $0 at $(date)"